> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all sent SMS messages for a campaign



## OpenAPI

````yaml /openapi.json get /campaigns/{id}/sent_sms_messages
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/sent_sms_messages:
    get:
      tags:
        - Sent sms messages
      summary: List all sent SMS messages for a campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `sent_sms_messages` property which is an array
            of `SentSmsMessage` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  sent_sms_messages:
                    type: array
                    items:
                      $ref: '#/components/schemas/SentSMSMessage'
                    description: An array of sent SMS messages
                required:
                  - sent_sms_messages
components:
  schemas:
    SentSMSMessage:
      type: object
      properties:
        id:
          type: string
          description: The ID of the sent SMS message
        created_at:
          type: string
          description: The time when the SMS was created in ISO 8601 format
        customer:
          type: string
          nullable: true
          description: The ID of the customer that was sent the SMS message
        business:
          type: string
          nullable: true
          description: The ID of the business that sent the text message
        to_phone_number:
          type: string
          description: The phone number the SMS was sent to
        message:
          type: string
          description: The content of the SMS message
        mms:
          type: boolean
          description: Whether the text message went over MMS, e.g. included an image
        num_segments:
          type: number
          description: The number of text segments used
        sent_at:
          type: string
          nullable: true
          description: The time when the SMS was sent in ISO 8601 format
        twilio_message_sid:
          type: string
          description: Twilio's returned message SID
        telgorithm_message_sid:
          type: string
          description: Telgorithm's returned message SID
        campaign:
          type: string
          description: >-
            The ID of the campaign that sent the SMS message. Only present if
            the SMS message was sent as part of a campaign
        trigger:
          type: string
          description: >-
            The ID of the trigger that sent the SMS message. Only present if the
            SMS message was sent as part of a trigger
      required:
        - id
        - created_at
        - customer
        - business
        - to_phone_number
        - message
        - mms
        - num_segments
        - sent_at
      title: The Sent SMS Message object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````